> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-cms/13.latest/fundamentals/data/creating-media/default-media-types.md).

# Default Data/Media Types

On this page you will find the media types and Data Types in Umbraco. These types are not created automatically after an upgrade. If you want to use the new types, you can create them yourself.

{% hint style="info" %}
After upgrading, the default media types are not created automatically. If you create them manually, make sure to:

* Set the permission for each of the media types to **Allow at root**.
* Ensure that the **Folder** media type allows the new media types as children.
  {% endhint %}

## Data Types

### UploadArticle

The `UploadArticle` Data Type has the following configuration:

* Property editor: `FileUpload`
* Accepted file extensions: `pdf`, `docx`, `doc`

### UploadAudio

The `UploadAudio` Data Type has the following configuration:

* Property editor: `FileUpload`
* Accepted file extensions: `mp3`, `weba`, `oga`, `opus`

### UploadVectorGraphics

The `UploadVectorGraphics` Data Type has the following configuration:

* Property editor: `FileUpload`
* Accepted file extensions: `svg`

### UploadVideo

The `UploadVideo` Data Type has the following configuration:

* Property editor: `FileUpload`
* Accepted file extensions: `mp4`, `webm`, `ogv`

## Media Types

### UmbracoMediaArticle

The `UmbracoMediaArticle` media type has the following properties:

* `umbracoFile` - Upload File
* `umbracoExtension` - Label (string)
* `umbracoBytes` - Label (bigint)

![MediaArticle](https://3872888104-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgEH4FChbCn7eDDqREvdE%2Fuploads%2Fgit-blob-6b4d74a5cb487e6cc8751e29f76b88e216030065%2Fumbraco-media-article-media-type.png?alt=media\&token=4a1f02bd-1be9-41d4-9121-8169c82ac5da)

### UmbracoMediaAudio

The `UmbracoMediaAudio` media type has the following properties:

* `umbracoFile` Upload Audio
* `umbracoExtension` Label (string)
* `umbracoBytes` Label (bigint)

![MediaAudio](https://3872888104-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgEH4FChbCn7eDDqREvdE%2Fuploads%2Fgit-blob-9dabcba2c4305a95f8b1dc1ed4a0be6ade6b7c7f%2Fumbraco-media-audio-media-type.png?alt=media\&token=6be6709c-4791-41b6-8897-23f966d01e09)

### UmbracoMediaVectorGraphics

The `UmbracoMediaVectorGraphics` media type has the following properties:

* `umbracoFile` - Upload Vector Graphics
* `umbracoExtension` Label (string)
* `umbracoBytes` Label (bigint)

![MediaVectorGraphics](https://3872888104-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgEH4FChbCn7eDDqREvdE%2Fuploads%2Fgit-blob-77b4360901860893c80451d28e8508b3e6f73e67%2Fumbraco-media-vector-graphicsmedia-type.png?alt=media\&token=b6408a53-7cf5-4228-8f72-5c58431e37c8)

### UmbracoMediaVideo

The `UmbracoMediaVideo` media type has the following properties:

* `umbracoFile` - Upload Video
* `umbracoExtension` - Label (string)
* `umbracoBytes` - Label (bigint)

![MediaVideo](https://3872888104-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgEH4FChbCn7eDDqREvdE%2Fuploads%2Fgit-blob-a9509c6f4fa8161bff25452da2ac0f70767516a8%2Fumbraco-media-video-media-type.png?alt=media\&token=75dcae14-6b34-4644-b17b-017e0ae9acb2)

{% hint style="info" %}
You can also create localization files for Media Types. You can read more about this in the [Document Type Localization](/umbraco-cms/13.latest/fundamentals/data/defining-content/document-type-localization.md) article.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/fundamentals/data/creating-media/default-media-types.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
